# Create a Product Catalog Import

Creates a ProductCatalogImport.

## Request

```curl
curl -X POST https://api.stripe.com/v2/commerce/product_catalog/imports \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-10-28.endive" \
  --json '{
    "feed_type": "product",
    "mode": "upsert",
    "metadata": {
        "order_id": "12345",
        "source": "api"
    }
  }'
```

### Response

```json
{
  "id": "pcimprt_test_61THl3VA5Zt5cTqbP16T9R4DRrSQbEWmWeLUx7WmOR8K",
  "object": "v2.commerce.product_catalog_import",
  "status": "awaiting_upload",
  "created": "2025-01-01T00:00:00.000Z",
  "status_details": {
    "awaiting_upload": {
      "upload_url": {
        "url": "https://stripeusercontent.com/files/us-west-2/upload/wksp_hb7cNA",
        "expires_at": "2025-01-01T01:00:00.000Z"
      }
    }
  },
  "metadata": {
    "file_name": "march_11_2026_product_upload.csv"
  }
}
```

## Parameters

- `feed_type` (enum, required)
  The type of catalog data to import.
Possible enum values:
  - `inventory`
    Inventory levels and stock availability feed.

  - `pricing`
    Pricing information feed including costs and currency data.

  - `product`
    Product information feed including SKUs, descriptions, and attributes.

  - `promotion`
    Promotional data feed including discounts and offers.

- `metadata` (map, required)
  Additional information about the import in a structured format.

- `mode` (enum, required)
  The strategy for handling existing catalog data during import.
Possible enum values:
  - `replace`
    Replace all existing catalog data with the imported data.

  - `upsert`
    Update existing records and insert new ones.

## Returns

Returns a [Product Catalog Import object](https://docs.stripe.com/api/v2/commerce/product-catalog-imports/object.md).

## Error Codes

| HTTP status code | Code | Description |
| --- | --- | --- |
| 404 | not_found | The resource wasn’t found. |
